﻿using System;
using System.Collections.Generic;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarMVVMTest
{
	public partial class CalendarMVVMTestPage : ContentPage
	{
		
		public CalendarMVVMTestPage()
		{
			InitializeComponent();
            calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;;
            calendar.SelectionMode = SelectionMode.RangeSelection;
            calendar.SelectedRange = new SelectionRange(new DateTime(2017, 06, 05), new DateTime(2017, 07, 15));
            calendar.MoveToDate = new DateTime(2017, 06, 01);
		}

        void Calendar_OnMonthCellLoaded(object sender, MonthCell args)
        {
            if (!args.IsCurrentMonth)
            {
                args.View = new Grid();
            }
        }
 	
	}

}
